geos::geom::prep::PreparedPoint Class Reference

A prepared version of `Point` or `MultiPoint` geometries. More...

`#include <PreparedPoint.h>`

Inheritance diagram for geos::geom::prep::PreparedPoint:

## Public Member Functions

| PreparedPoint (const Geometry *geom)
bool | intersects (const geom::Geometry *g) const override
Public Member Functions inherited from geos::geom::prep::BasicPreparedGeometry
| BasicPreparedGeometry (const Geometry *geom)
const geom::Geometry & | getGeometry () const override
| Gets the original `Geometry` which has been prepared.
const std::vector< const CoordinateXY * > * | getRepresentativePoints () const
bool | isAnyTargetComponentInTest (const geom::Geometry *testGeom) const
bool | within (const geom::Geometry *g) const override
bool | contains (const geom::Geometry *g) const override
bool | containsProperly (const geom::Geometry *g) const override
bool | coveredBy (const geom::Geometry *g) const override
bool | covers (const geom::Geometry *g) const override
bool | crosses (const geom::Geometry *g) const override
bool | disjoint (const geom::Geometry *g) const override
bool | overlaps (const geom::Geometry *g) const override
bool | touches (const geom::Geometry *g) const override
std::unique_ptr< IntersectionMatrix > | relate (const geom::Geometry *g) const override
bool | relate (const geom::Geometry *g, const std::string &pat) const override
std::unique_ptr< geom::CoordinateSequence > | nearestPoints (const geom::Geometry *g) const override
double | distance (const geom::Geometry *g) const override
bool | isWithinDistance (const geom::Geometry *geom, double dist) const override
std::string | toString ()

## Additional Inherited Members

Protected Member Functions inherited from geos::geom::prep::BasicPreparedGeometry
void | setGeometry (const geom::Geometry *geom)
bool | envelopesIntersect (const geom::Geometry *g) const
bool | envelopeCovers (const geom::Geometry *g) const

## Detailed Description

A prepared version of `Point` or `MultiPoint` geometries.

Author
  Martin Davis

## Member Function Documentation

## intersects()

bool geos::geom::prep::PreparedPoint::intersects | ( | const geom::Geometry * | g | ) | const

override virtual

Tests whether this point intersects a `Geometry`.

The optimization here is that computing topology for the test geometry is avoided. This can be significant for large geometries.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

The documentation for this class was generated from the following file:

- PreparedPoint.h